import request from "@/utils/request";

// 查询网络举报列表
export function listReport(query) {
  return request({
    url: "/zongzhi/report/list",
    method: "get",
    params: query,
  });
}

// 查询网络举报详细
export function getReport(id) {
  return request({
    url: "/zongzhi/report/" + id,
    method: "get",
  });
}

// 新增网络举报
export function addReport(data) {
  return request({
    url: "/zongzhi/report",
    method: "post",
    data: data,
  });
}

// 修改网络举报
export function updateReport(data) {
  return request({
    url: "/zongzhi/report",
    method: "put",
    data: data,
  });
}

// 删除网络举报
export function delReport(id) {
  return request({
    url: "/zongzhi/report/" + id,
    method: "delete",
  });
}

// 导出网络举报
export function exportReport(data) {
  return request({
    url: "/zongzhi/report/export",
    method: "post",
    data,
  });
}
